%global momorel 3

Summary:         ZFS Library and Utils
Group:           System Environment/Base
Name:            zfs
Version:         0.5.0
Release:         %{momorel}m%{?dist}
License:         "CDDL"
#URL:             git://eris.llnl.gov/zfs.git
URL:             http://github.com/behlendorf/zfs/downloads
Source0:         http://github.com/downloads/behlendorf/zfs/%{name}-%{version}.tar.gz
NoSource:        0
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id} -un)
Requires:        zlib e2fsprogs udev
Requires:        libunicode
BuildRequires:   zlib-devel e2fsprogs-devel
ExclusiveArch:   x86_64

%description
The %{name} package contains the libzfs library and support utilities
for the zfs file system.

%package devel
Summary:         ZFS File System User Headers
Group:           Development/Libraries
%if %{defined ch5} || %{defined el6} || %{defined fc12}
Requires:        zlib libuuid libblkid
BuildRequires:   zlib-devel libuuid-devel libblkid-devel
%else
Requires:        zlib e2fsprogs
BuildRequires:   zlib-devel e2fsprogs-devel
%endif

%description devel
The %{name}-devel package contains the header files needed for building
additional applications against the %{name} libraries.

%package test
Summary:         ZFS File System Test Infrastructure
Group:           System Environment/Base

%description test
The %{name}-test package contains a test infrastructure for zpios which
can be used to simplfy the benchmarking of various hardware and software
configurations.  The test infrastructure additionally integrates with
various system profiling tools to facilitate an in depth analysis.

%prep
%setup -q
%build
%configure --with-config=user --without-blkid
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING COPYRIGHT DISCLAIMER
%doc GIT OPENSOLARIS.LICENSE ZFS.RELEASE
%{_sbindir}/*
%{_bindir}/*
%{_libdir}/*
%{_mandir}/man8/*
%{_sysconfdir}/udev/rules.d/60-zpool.rules
%{_sysconfdir}/%{name}
%exclude %{_libdir}/libunicode.so*
%exclude %{_libdir}/libunicode.a
# conflict with libunicode, libunicode-devel
%exclude %{_libdir}/libefi.a
# conflict with gnu-efi
%exclude %{_libdir}/*.la

%files devel
%defattr(-,root,root)
%{_includedir}/*

%files test
%defattr(-,root,root)
%{_libexecdir}/zfs/*

%changelog
* Sat Sep 11 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-3m)
- drop ix86 build only x86_64

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.0-2m)
- full rebuild for mo7 release

* Mon Aug 16 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-1m)
- update
- add Requires: libunicode

* Sat Jul 17 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9-2m)
- modify %%files
- add Requires: udev

* Sun Jun  6 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.9-1m)
- initial made for Momonga Linux
